Bug 239694 - kdebase should create and own %{_datadir}/apps/kdm/faces
kdebase should create and own %{_datadir}/apps/kdm/faces
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 11:42 EDT by Sebastian Vahl
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 11:29:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2007-05-10 11:42:20 EDT
Description of problem:
Newest redhat-artwork-7.0.0-3.fc7 will support the userlist in kdm. To use faces
in it kdebase should create and own %{_datadir}/apps/kdm/faces. This is the
default search path for "facedir", see
http://docs.kde.org/stable/en/kdebase/kdm/kdm-files.html#kdmrc-greeter


Version-Release number of selected component (if applicable): 
kdebase-3.5.6-6.fc7
Comment 1 Rex Dieter 2007-05-10 12:59:29 EDT
Easyfix indeed.  I was going to do most of the kde-settings, kdelibs, kdebase
work tonight, so will just add this to the list.
Comment 2 Sebastian Vahl 2007-05-10 15:52:22 EDT
Mhh. That's only half of the way. We should also find a way to set a default
face for a user. The problem might be, that the image must be named according to
the user name. For the livecd it's eg: /usr/share/apps/kdm/faces/fedora.face.icon.
Comment 3 Kevin Kofler 2007-05-10 16:07:43 EDT
Hey, one thing at a time, let's fix the unowned directory and enable the user 
list (Bug 239701) first and worry about default images once that's done.

And that's assuming we even want a non-blank default userimage. ;-)
Comment 4 Sebastian Vahl 2007-05-10 16:25:48 EDT
(In reply to comment #3)
> Hey, one thing at a time, let's fix the unowned directory and enable the user 
> list (Bug 239701) first and worry about default images once that's done.

Ok. We could worry about that later. Or just choose a face for
/usr/share/apps/kdm/faces/.default.face.icon. :)
Comment 5 Kevin Kofler 2007-05-10 16:27:16 EDT
I guess putting the same image there which is the default in GDM would work.
Comment 6 Kevin Kofler 2007-05-10 16:38:59 EDT
Or we can just symlink one of the "default" images already provided by KDM:
/usr/share/apps/kdm/pics/users/default1.png
/usr/share/apps/kdm/pics/users/default2.png
/usr/share/apps/kdm/pics/users/default3.png
which would make it another trivial fix, except for picking one.
Comment 7 Kevin Kofler 2007-05-11 15:52:19 EDT
Attachment #154550 [details] from bug #239701 shows how these look in context after the 
patches from that bug have been applied (testuser1 is using default1, testuser2 
is using default2 and testuser3 is using default3).
Comment 8 Ngo Than 2007-05-15 11:29:43 EDT
it's now fixed in kdebase-3.5.6-7.fc7.

Note You need to log in before you can comment on or make changes to this bug.